/* ===== responsive.css ===== */
/* AMC Concrete Project - Responsive Stylesheet */
/* Desktop / Large Desktops*/
@media (min-width: 1440px) {

    /* services slider */
    .services_Slider.swiper {
        padding: 100px 0px;
    }

    .services_Slider .swiper-slide.swiper-slide-active {
        transform: scale(1.5);
        z-index: 1;
    }

    /* amc about */
    .about_hero img {
        object-position: center;
    }
}

/* Laptops / Small Desktops (upto 1439px) */
@media (max-width: 1439px) {
    :root {
        /* Font Sizes*/
        --text-lg: 90px;
        --text-md: 65px;
        --text-p: 18px;
        --text-card: 25px;
        --text-magic: 380px;
        --text-numbers: 100px;
        --text-menu: 16px;
        --text-btn: 10px;

    }

    html,
    body {
        width: 100%;
        overflow-x: hidden;
    }

    /* padding area */
    header,
    section {
        padding-left: 20px !important;
        padding-right: 20px !important;
    }

    /* header */
    .amc-navbar {
        padding: 15px 10px 15px 10px;
        z-index: 100;
    }

    .amc-navbar a.nav-link {
        font-size: var(--text-menu);
    }

    .amc-navbar a.navbar-brand {
        width: 100px;
    }

    .amc-btn {
        padding: 8px 12px;
        font-size: 12px;
        line-height: 12px;
        gap: 5px !important;
    }

    .amc-btn svg {
        width: 13px;
        height: 13px;
    }

    /* hero section */
    .hero-section {
        padding-top: 150px;
        height: auto;
        padding-bottom: 150px;
    }

    /* scroll section on hero */
    .hero-section .scroll-circle {
        width: 200px;
        height: 200px;
    }

    /* about section */
    .second-area {
        margin-top: 20px !important;
    }

    .bg-watermark {
        font-size: 280px;
    }

    .second-area .image-wrapper img {
        height: 500px;
    }

    /* footer */
    .footer-wrapper .footerbottom {
        height: fit-content;
        padding: 50px 25px;
    }

    img.house-image.house-1 {
        height: 132%;
    }

    .footer-wrapper .mlf img {
        margin-bottom: 20px;
    }

    .footer-wrapper .contactinfo2 h2,
    .footer-wrapper .quicklinks h2,
    .footer-wrapper .contactinfo h2 {
        margin-top: 0;
    }

    .footer-wrapper .contactinfo a,
    .footer-wrapper .quicklinks ul li a {
        margin-bottom: 10px;
    }

    .footer-wrapper .contactinfo p {
        margin: 0;
    }
}

/* Tablets Landscape / Small Laptops (upto 1024px) */
@media (max-width: 1024px) {
    :root {
        --text-magic: 270px;
    }

    /* header */
    .amc-navbar {
        padding: 10px;
    }

    .amc-navbar a.navbar-brand {
        width: 80px;
    }

    .amc-navbar a.nav-link {
        font-size: 11px;
        line-height: 11px;
        padding: 5px !important;
    }

    .amc-btn {
        padding: 12px 19px;
        font-size: 12px;
        border-radius: 7px;
        line-height: 10px;
    }

    .amc-btn svg {
        width: 10px;
        height: 10px;
    }


}

@media (max-width: 992px) {
    .process-container .vertical-swiper {
        height: 620px;
    }

    .process-container .process-card {
        width: 100%;
    }

    /* footer */
    .footer-wrapper .footerbottom {
        height: 500px;
        padding: 20px;
        align-items: flex-end;
        background: linear-gradient(180deg, #AFD7ED 30%, #EBEBEB 80%);
    }

    .footer-wrapper .footerbottom .content {
        padding-left: 0px !important;
    }

    img.house-image.house-1 {
        height: 70%;
        bottom: 44%;
    }

    .footer-wrapper .container.footerbottom:before {
        position: absolute;
        content: '';
        top: auto;
        bottom: 0;
        z-index: 1;
        height: 50%;
        width: 100%;
        background: linear-gradient(360deg, #ffffff 20%, transparent 100%);
        left: 0;
        border-radius: 0px 0px 10px 10px;
    }

    /* footer */
    .footer-wrapper .f2 {
        flex-wrap: wrap;
        justify-content: space-between;
        gap: 20px;
    }

    .footer-wrapper .contactinfo,
    .footer-wrapper .quicklinks,
    .footer-wrapper .contactinfo2,
    .footer-wrapper .mlf {
        width: 45%;
    }

    .footer-wrapper .contactinfo2 .social-icons {
        transform: translateY(2rem);
    }

    /* about page about section */
    .about-section-for-about .about-section {
        padding: 80px 0;
    }
}

@media (min-width: 992px) {
    .service-card {
        margin-top: -80px;
    }

    .row-one {
        margin-top: 150px !important;
    }

    .gallery-item img {
        height: 410px;
    }

    .Services-area-inner-hero .banner-grad {
        padding: 100px 140px;

    }

    .privacypoliciespage {
        margin-top: 100px;
    }
}


@media (max-width: 991px) {
    .why-choose-section h2 {
        font-size: 36px;
    }

    .big-number {
        font-size: 200px;
        margin-bottom: -20px;
        opacity: 0.3;
    }

    .big-number {
        font-size: 150px;
        text-align: center !important;
        margin-bottom: -40px;
        position: relative;
        z-index: 1;
    }

    .service-card {
        height: 400px;
    }

    .mt-lg-n5,
    .mb-lg-n5 {
        margin-top: 0 !important;
        margin-bottom: 30px !important;
    }

    .service-row {
        margin-top: 0 !important;
        margin-bottom: 40px;
    }

    .big-number {
        font-size: 150px;
        margin-bottom: -40px;
    }

    .gallery-ghost-text {
        font-size: 100px;
    }

    .hero-banner-s-inner h1 {
        font-size: 60px;
    }

    /* .hero-subtitle{
        font-size: 26px;
    } */

    .home-h {
        font-size: 60px;
    }

    .banner-grad {
        background: linear-gradient(to bottom, #2B2F3A 2%, #00000045 100%);
        backdrop-filter: blur(4.5px);
        padding: 30px;
        border-radius: 50px;
    }

    .about_hero .content-of-hero {
        margin-top: 18% !important;
    }

}

@media (min-width: 768px) {
    .privacypoliciespage {
        margin-top: 100px;
    }
}

@media (max-width: 768px) {

    .hero-banner-s-inner h1 {
        font-size: 60px;
    }

    .google-rating-img {
        height: 40px;
        width: auto;
    }
}

/* Tablets Portrait (upto 768px) */
@media (max-width: 767px) {
    :root {
        --text-lg: 85px;
        --text-md: 60px;
        --text-p: 17px;
        --text-card: 20px;
        --text-magic: 200px;
        --text-numbers: 50px;
        --text-menu: 16px;
        --text-btn: 10px;
    }

    /* header */
    body.admin-bar .offcanvas.show {
        border: none;
    }

    .amc-navbar .dropdown-toggle::after {
        content: url('data:image/svg+xml,<svg width="16" height="10" viewBox="0 0 8 5" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M0.5 0.5L4 3.5L7 0.5" stroke="%2327B2CE" stroke-linecap="round"/></svg>');
    }

    .amc-navbar a.nav-link {
        font-size: 30px;
        line-height: 30px;
        padding: 5px 0px !important;
    }

    .offcanvas {
        justify-content: flex-start;
    }

    .offcanvas-body {
        flex-grow: 0;
        padding: 0;
    }

    body.admin-bar .offcanvas.show {
        padding: 16px;
        gap: 15px;
    }

    /* hero section */
    .hero-section {
        top: -70px;
        margin-bottom: -70px;
    }

    .hero-section .hero-footer,
    .hero-section .glass-card {
        padding: 20px;
    }

    /* hero scroll */
    .hero-section .scroll-circle {
        width: 150px;
        height: 150px;
    }

    .hero-section .scroll-text {
        font-size: 15px;
    }

    .hero-section .scroll-indicator {
        bottom: -25%;
    }

    /* about section */
    .second-area {
        margin-top: 10px !important;
    }

    .bg-watermark {
        font-size: 150px;
    }

    /* why choose card */
    .whychoosecard .roof-container {
        margin-top: 40px;
    }

    .whychoosecard h5 {
        font-size: 25px;
    }

    /* start your project */
    .start_project {
        padding-top: 50px;
        padding-bottom: 50px;
    }

    /* gallery section */
    .gallery-section .progress-container {
        margin-top: 12px;
    }

    .gallery-section .gallery-card {
        height: 380px;
    }

    /* faq section */
    .faq-section .faq-title {
        margin-bottom: 20px;
    }

    .faq-section .faq-question {
        line-height: 30px;
    }

    .faq-section .faq-answer {
        line-height: 1.1;
    }

    .faq-section .faq-question {
        padding: 20px;
    }

    .faq-section .faq-answer.show {
        padding: 0px 20px 20px 20px;
    }

    /* footer */
    img.house-image.house-1 {
        height: 97%;
        object-position: right;
        bottom: 20%;
        object-fit: cover;
    }

    .footer-wrapper .container.footerbottom:before {
        height: 80%;
        background: linear-gradient(360deg, #ffffff 40%, transparent 100%);
    }

    .footer-wrapper .f2 {
        padding-top: 250px;
    }

    /* about hero repetable */
    section.about_hero {
        height: 900px;
        top: -100px;
    }

    .about_hero .content-of-hero {
        margin-top: 25% !important;
    }

    .about_hero .glass-card {
        padding: 1.2rem !important;
    }

    /* about page about section */
    .about-section-for-about .left-image {
        height: 420px;
    }

    .about-section-for-about {
        margin-top: -105px;
    }

    .about-section-for-about {
        padding: 50px 0px 50px 0px;
    }

    .gallery-ghost-text {
        font-size: 60px;
        transform: translate(-50%, -60%);
    }

    .gallery-item img {
        height: 200px;
    }

    .gallery-title {
        font-size: 28px;
    }

    .section-title {
        font-size: 43px;
    }

    .city-name {
        font-size: 20px;
    }

    .amc-feature-card h3 {
        font-size: 26px;
        color: var(--text-dark);
    }
}

/* Mobile Landscape (upto 576px) */
@media (max-width: 576px) {

    /* root */
    :root {
        --text-lg: 50px;
        --text-card: 25px;
        --text-p: 14px;
        --text-md: 35px;
        --text-magic: 100px;
    }

    header,
    section {
        padding-left: 12px !important;
        padding-right: 12px !important;
    }

    .margin-top {
        margin-top: 40px !important;
    }

    .amc-btn {
        padding: 15px 20px;
        font-size: 15px;
    }

    .amc-navbar a.nav-link {
        font-size: 25px;
        line-height: 25px;
    }

    /* hero section */
    .hero-section {
        padding-top: 130px;
        padding-bottom: 100px;
    }

    .hero-section .scroll-indicator {
        bottom: -15%;
    }

    .hero-section .scroll-circle {
        width: 100px;
        height: 100px;
    }

    .hero-section .scroll-text {
        font-size: 10px;
    }

    .hero-section .arrow {
        font-size: 1rem;
        margin-bottom: 3px;
    }

    /* about section text */
    .bg-watermark {
        font-size: 95px;
    }

    /* gradient text */
    .gradient-section h2 {
        margin-bottom: -60px;
    }

    /* faq section */
    .faq-section .faq-question {
        padding: 15px;
    }

    .faq-section .faq-answer.show {
        padding: 0px 15px 15px 15px;
    }

    /* cta */
    .footer-wrapper .footerbottom {
        padding: 20px 12px;
    }

    /* footer */
    .footer-wrapper .contactinfo,
    .footer-wrapper .quicklinks,
    .footer-wrapper .contactinfo2,
    .footer-wrapper .mlf {
        width: 100%;
    }

    .footer-wrapper .contactinfo p {
        margin-bottom: 15px;
    }

    .footer-wrapper .f2 {
        padding-bottom: 40px;
        padding-left: 12px;
        padding-right: 12px;
    }

    /* about hero repetable */
    .about_hero .content-of-hero {
        margin-top: 50% !important;
    }

    section.about_hero {
        height: 600px;
    }

    .card-overlay-content h4 {
        font-size: 24px;
    }

    .testimonial-hero h1 {
        font-size: 60px;
    }

    .FAQs-hero h1 {
        font-size: 60px;
    }

    .Services-areas-hero h1 {
        font-size: 60px;
    }

    .Services-area-inner-hero h1 {
        font-size: 60px;
    }

    .hero-banner-s-inner h1 {
        font-size: 60px;
    }

    .home-h {
        font-size: 40px;
    }

    .banner-grad {
        background: linear-gradient(to bottom, #2B2F3A 2%, #00000045 100%);
        backdrop-filter: blur(4.5px);
        padding: 16px;
        border-radius: 50px;
    }

    .hero-banner-s-inner h1 {
        font-size: 40px;
    }

    /* .hero-subtitle{
        font-size: 20px;
    } */

    .hs-bloger {
        padding: 0px 20px !important;
    }
    .start_project .stat-number {
        font-size: 50px;
    }

    .faq-section .faq-question{
        font-size: 20px;
    }
}